## gnash 0.8.8

=== debian/changelog ===
gnash (0.8.8-6ubuntu2) natty; urgency=low

  * Fix an error with the postinst script where update-alternatives tries
    to create the flashplugin-alternative.so symlink multiple times
    - update debian/browser-plugin-gnash.postinst
  * Drop the calls to remove the obsolete alternatives, as the old prerm
    handles this correctly on upgrade
    - update debian/browser-plugin-gnash.prerm

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 30 Nov 2010 09:54:18 +0000

gnash (0.8.8-6ubuntu1) natty; urgency=low

  [ Angel Abad <angelabad@ubuntu.com> ]
  * Merge from debian unstable (LP: #682386). Remaining changes:
    - Add Ubuntu flash alternatives in postinst and prerm
      + update debian/browser-plugin-gnash.postinst
      + update debian/browser-plugin-gnash.prerm

  [ Micah Gersten <micahg@ubuntu.com> ]
  * Only install the flash alternative in /usr/lib/mozilla/plugins as the other
    locations are deprecated
    - update debian/browser-plugin-gnash.postinst

 -- Angel Abad <angelabad@ubuntu.com>  Sun, 28 Nov 2010 22:18:48 -0600

gnash (0.8.8-6) unstable; urgency=low

  * Added patches that fix some upstream bugs
    + 01_38be50cecc, 02_b3d5da01fb, 03_c22769f0ab
    + 04_baseuri1, 05_baseuri2
    + 06_ytfix: youtube videos starts immediately.
  * Fixed browser-plugin-gnash piuparts error.
  * Add "DM-Upload-Allowed: yes".

  * Upload sponsored by Petter Reinholdtsen.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Mon, 15 Nov 2010 23:42:26 +0100

gnash (0.8.8-5ubuntu1) maverick; urgency=low

  [ Micah Gersten <micahg@ubuntu.com> ]
  * FFe - LP: #636667
  * Merge from debian unstable.  Remaining changes:
    + Add Ubuntu flash alternatives in postinst and prerm
      - update debian/browser-plugin-gnash.postinst
      - update debian/browser-plugin-gnash.prerm

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Ensure the directories we are installing alternatives too exist
    already
    - add debian/browser-plugin-gnash.dirs

 -- Micah Gersten <micahg@ubuntu.com>  Tue, 28 Sep 2010 23:38:37 -0500

gnash (0.8.8-5) unstable; urgency=low

  [ Gabriele Giacone ]
  * Fixed Section and Priority fields in debian/control

  [ Miriam Ruiz ]
  * Uploading package to unstable

 -- Miriam Ruiz <little_miry@yahoo.es>  Sun, 12 Sep 2010 21:45:04 +0200

gnash (0.8.8-4) experimental; urgency=low

  * Added epoch to swfdec-gnome dummy package for transition.
  * Renamed mozilla-plugin-gnash package to browser-plugin-gnash.
  * Reworded short and long descriptions.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Wed, 08 Sep 2010 15:55:21 +0200

gnash (0.8.8-3) experimental; urgency=low

  [ Gabriele Giacone ]
  * Added reference and user manuals to gnash-common (Closes: #477477).
    + Added xsltproc, docbook-xsl as Build-Depends.
  * Added patch fixtypos.patch to fix typos.
  * Escaped dashes in man pages (lintian tag hyphen-used-as-minus-sign).
  * Added parallel=n build option.
  * Added -dbg package for debug symbols.
  * Added -doc package for API documentation.
    + Added doxygen as Build-Depends.
  * Added swfdec-mozilla and swfdec-gnome dummy packages for swfdec transition.
  * Source format to 3.0 (quilt).
    + Removed quilt from Build-Depends.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sun, 29 Aug 2010 23:07:12 +0200

gnash (0.8.8-2) unstable; urgency=low

  [ Miriam Ruiz ]
  * Added support for MIME for ShockWave Flash and FutureSplash Flash
  * Changed Section from utils to video
  * Removed Robert Millan from uploaders
  * Added Gabriele to uploaders

 -- Miriam Ruiz <little_miry@yahoo.es>  Sun, 29 Aug 2010 05:33:18 +0200

gnash (0.8.8-1) experimental; urgency=low

  [ Miriam Ruiz ]
  * New Upstream Release
    - 100% of all YouTube videos should work. If you have problems,
      delete all YouTube cookies and refresh.
    - Gnash can switch at runtime between the Cairo, OpenGL, and AGG
      renderers.
    - Gnash can switch media handlers at runtime, too, between FFmpeg
      and Gstreamer,
    - Gnash can now decode video quickly on hardware compatible with the
      VAAPI library (a few NVidia, ATI, and Intel graphics processors).
    - Gnash now compiles faster due to reduced internal dependencies.
      Scriptable Plugin support so Javascript in the browser can
      work with ActionScript in Gnash.
    - Improved input device handling when using a raw framebuffer.
  * Refreshed patches. Removed patch: build_on_ia64.patch, no longer needed
  * Modified ./configure parameters: --enable-media='gst,ffmpeg'
  * Removed get-bzr-source target from debian/rules. Upstream has moved to git
  * Changed Maintainer to pkg-flash-devel@lists.alioth.debian.org

  [ Gabriele Giacone ]
  * New desktop files translations.
    + German (Closes: #557108)
    + Japanese (Closes: #560706)
    + Vietnamese (Closes: #576139)
  * Added Vcs-* fields.

 -- Miriam Ruiz <little_miry@yahoo.es>  Sun, 22 Aug 2010 23:19:46 +0200

gnash (0.8.8~bzr20100809.2250-1) experimental; urgency=low

  * New Upstream Release. Downloaded from Bazaar.
  * Added --enable-hwaccel=none to ./configure
  * Removed the -opengl packages
  * Removed --enable-avm2, it doesn't compile otherwise

 -- Miriam Ruiz <little_miry@yahoo.es>  Tue, 10 Aug 2010 00:57:51 +0200

gnash (0.8.7-3) unstable; urgency=low

  [ Miriam Ruiz ]
  * Fixed dependencies so that it compiles against latest boost.
    Closes: #587967. Closes: #590370
  * Fixed problem with libtool. CLoses: #523902
  * Upgraded Standards Version from 3.8.4 to 3.9.1

 -- Miriam Ruiz <little_miry@yahoo.es>  Wed, 04 Aug 2010 22:30:19 +0200

gnash (0.8.7-2) unstable; urgency=low

  [ Miriam Ruiz ]
  * Cleaned up debian/rules a bit
  * Added patch build_on_ia64.patch. Closes: #571319
  * Removed csound from recommeds. Closes: #570212
  * Changed short descriptions so that "aptitude search flash" finds this
    package. Closes: #522865
  * Fix debian/*.desktop.in files. Closes: #475853
  * Thanks to Petter Reinholdtsen <pere@hungry.com>

