## gnash 0.8.9

=== debian/changelog ===
gnash (0.8.9-1ubuntu1) natty; urgency=low

  * Merge from debian unstable. (LP: #739869, #738605)  Remaining changes:
    - Use mozilla-flashplugin as the alternative for now
    - Set alternative priority to 50 so that it matches Adobe Flash's priority
  * Change xulrunner-dev build dep to firefox-dev (try to reduce dependency on
    xulrunner)
    - update debian/control
  * Add build-dep on libspeexdsp-dev and libxv-dev; Fixes FTBFS
    - update debian/control
  * Remove configure code for libpthread check; Fixes FTBFS w/multiarch paths
    - add debian/patches/no_configure_check_for_libpthread.patch
    - update debian/patches/series

 -- Micah Gersten <micahg@ubuntu.com>  Tue, 05 Apr 2011 12:08:24 -0500

gnash (0.8.9-1) unstable; urgency=low

  * New upstream release.
  * Add xulrunner-dev to B-D.
  * Remove gnash-dbg deps on all gnash binaries.
  * Add 01mysqltypo patch to fix mysql extension linking.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Mon, 21 Mar 2011 02:15:57 +0100

gnash (0.8.9~git20110220-1) unstable; urgency=low

  * Git snapshot.
    + KDE plugin dir uses lib64 only on Fedora; fixes FTBFS.
      (Closes: #614229)
  * debian/control: Add self to Uploaders.

 -- Tim Retout <diocles@debian.org>  Sun, 20 Feb 2011 19:59:31 +0000

gnash (0.8.9~git20110217-1) unstable; urgency=low

  * Git snapshot.
  * d/copyright: conversion to DEP-5.
  * d/control: Vcs* fields to git.
  * d/rules: switch to override_dh_* targets.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Thu, 17 Feb 2011 02:59:02 +0100

gnash (0.8.8-9) unstable; urgency=low

  * Add epoch to swfdec-gnome transitional package.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Tue, 25 Jan 2011 01:08:44 +0100

gnash (0.8.8-8) unstable; urgency=low

  * Fixed spelling in long descriptions (Closes: #608911).
  * Fixed binnmu-ability.
  * lintian: added browser-plugin-gnash override.
  * Removed .po files regeneration from build process (Closes: #605352).
  * Added patches
    + 08_sectempfiles: Create configure temporary files in a secure way
      (CVE-2010-4337).
    + fixmanpage: Update command options in manpage.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Wed, 19 Jan 2011 01:47:55 +0100 

gnash (0.8.9~git20101219-1) experimental; urgency=low

  * Git snapshot.
  * Added binary packages:
    + gnash-dev (development files)
    + python-gtk-gnash (python bindings)
    + gnash-ext-fileio (fileio extension)
    + gnash-ext-mysql (mysql extension)
    + gnash-ext-lirc (lirc extension)
  * Debhelper compatibility to 7.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sun, 19 Dec 2010 19:59:39 +0100

gnash (0.8.8-7) unstable; urgency=low

  * Added patch 07_jemalloc to make kfreebsd-* archs treated like *bsd oses
    (Closes: #604573).
  * Transitional packages architecture from any to all (Closes: #603609).
  * Added patch to fix texinfo docs.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sun, 28 Nov 2010 20:41:19 +0100
