=== debian/control ===
--- 
+++ 
@@ -1,26 +1,29 @@
 Source: gnash
 Priority: optional
-DM-Upload-Allowed: yes
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Flash Team <pkg-flash-devel@lists.alioth.debian.org>
 Uploaders: Miriam Ruiz <little_miry@yahoo.es>,
  Alexander Sack <asac@jwsdot.com>,
- Gabriele Giacone <1o5g4r8o@gmail.com> 
-Build-Depends: dpkg-dev (>= 1.13.19), debhelper (>= 5.0.0), sng,
+ Gabriele Giacone <1o5g4r8o@gmail.com>,
+ Tim Retout <diocles@debian.org>
+Build-Depends: dpkg-dev (>= 1.13.19), debhelper (>= 7.0.50~7), sng,
  dh-buildinfo, autoconf, automake, libtool, intltool, docbook, docbook2x,
- libltdl3-dev, libxmu-dev, dejagnu, autotools-dev, doxygen, xsltproc, docbook-xsl,
+ libltdl-dev, libxmu-dev, dejagnu, autotools-dev, doxygen, xsltproc, docbook-xsl,
  libjpeg-dev, libpng12-dev | libpng-dev, libgif-dev, libagg-dev, libpango1.0-dev | pango-dev,
  libcurl4-gnutls-dev | libcurl3-gnutls-dev | libcurl4-openssl-dev | libcurl3-openssl-dev,
- libboost-dev, libboost-thread-dev, libboost-date-time-dev, libgtk2.0-dev,
- libatk1.0-dev, python-dev | python2.6-dev | python2.5-dev | python2.4-dev, kdelibs5-dev,
+ libboost-dev, libboost-thread-dev, libboost-date-time-dev, libboost-program-options-dev,
+ libgtk2.0-dev, libatk1.0-dev, python-all-dev, kdelibs5-dev,
  libgtkglext1-dev, python-gtk2-dev, libavcodec-dev, libavformat-dev, libswscale-dev, libspeex-dev,
- libgl1-mesa-dev, libsdl1.2-dev, libqt4-opengl-dev, qt4-qmake,
- libgstreamer-plugins-base0.10-dev | gstreamer-plugins-base-dev, libgstreamer0.10-dev | gstreamer0.10-dev
+ libgl1-mesa-dev, libsdl1.2-dev, libqt4-opengl-dev, qt4-qmake, python-support,
+ libgstreamer-plugins-base0.10-dev | gstreamer-plugins-base-dev, libgstreamer0.10-dev | gstreamer0.10-dev,
+ libmysqlclient-dev, firefox-dev,
+ libspeexdsp-dev, libxv-dev
 Standards-Version: 3.9.1
 Section: video
 Homepage: http://www.gnu.org/software/gnash/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-flash/packages/gnash/trunk
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-flash/packages/gnash/trunk
+DM-Upload-Allowed: yes
+Vcs-Git: git://git.debian.org/pkg-flash/gnash.git
+Vcs-Browser: http://git.debian.org/?p=pkg-flash/gnash.git;a=summary
 
 Package: gnash-common
 Architecture: any
@@ -104,7 +107,7 @@
  socket, and parse the incoming XML message. This lets an animation be a remote
  control for other devices or applications.
  .
- This package includes command-line utilities based in gnash.
+ This package includes command-line utilities based in Gnash.
 
 Package: gnash-cygnal
 Architecture: any
@@ -171,97 +174,73 @@
  .
  This package includes the plugin for Konqueror.
 
-Package: gnash-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: ${misc:Depends},
-	 gnash-common (= ${binary:Version}),
-	 gnash (= ${binary:Version}),
-	 gnash-tools (= ${binary:Version}),
-	 gnash-cygnal (= ${binary:Version}),
-	 klash (= ${binary:Version}),
-	 konqueror-plugin-gnash (= ${binary:Version}),
-	 browser-plugin-gnash (= ${binary:Version})
-Description: GNU Shockwave Flash (SWF) player - Debug symbols
- GNU Gnash is a free GPL'd SWF player. It runs as a standalone application
- on either the desktop or embedded devices, or may be used as a plugin
- for several popular browsers. It supports playing media from a disk or
- streaming over a network connection.
- .
- GNU Gnash is based on GameSWF and supports most SWF v7 features and some
- SWF v8 and v9. SWF v10 is not supported by GNU Gnash.
- .
- Included in the Gnash is an XML based messaging system, as specified in
- the SWF specification. This lets a SWF animation communicate over a TCP/IP
- socket, and parse the incoming XML message. This lets an animation be a remote
- control for other devices or applications.
- .
- This package includes debug symbols for gnash.
-
-Package: gnash-doc
-Architecture: all
-Section: doc
-Depends: ${misc:Depends}
-Description: GNU Shockwave Flash (SWF) player - API documentation
- GNU Gnash is a free GPL'd SWF player. It runs as a standalone application
- on either the desktop or embedded devices, or may be used as a plugin
- for several popular browsers. It supports playing media from a disk or
- streaming over a network connection.
- .
- GNU Gnash is based on GameSWF and supports most SWF v7 features and some
- SWF v8 and v9. SWF v10 is not supported by GNU Gnash.
- .
- Included in the Gnash is an XML based messaging system, as specified in
- the SWF specification. This lets a SWF animation communicate over a TCP/IP
- socket, and parse the incoming XML message. This lets an animation be a remote
- control for other devices or applications.
- .
- This package contains the API documentation for gnash.
-
-Package: gnash-common-opengl
-Priority: extra
-Architecture: any
-Depends: gnash-common (= ${binary:Version}), ${misc:Depends}
-Description: dummy package for gnash-common-opengl removal
- This package is a transitional package for gnash-common-opengl removal.
- .
- It can be safely removed when gnash-common is installed.
-
-Package: gnash-opengl
-Priority: extra
-Architecture: any
-Depends: gnash (= ${binary:Version}), ${misc:Depends}
-Description: dummy package for gnash-opengl removal
- This package is a transitional package for gnash-opengl removal.
- .
- It can be safely removed when gnash is installed.
-
-Package: klash-opengl
-Priority: extra
-Architecture: any
-Depends: klash (= ${binary:Version}), ${misc:Depends}
-Description: dummy package for klash-opengl removal
- This package is a transitional package for klash-opengl removal.
- .
- It can be safely removed when klash is installed.
-
-Package: swfdec-mozilla
-Priority: extra
-Architecture: any
-Depends: browser-plugin-gnash (= ${binary:Version})
-Description: dummy package for transition to browser-plugin-gnash
- This package is a transitional package for upgrading to browser-plugin-gnash.
- .
- It can be safely removed when browser-plugin-gnash is installed.
-
-Package: swfdec-gnome
-Priority: extra
-Architecture: any
-Depends: gnash
-Description: dummy package for transition to gnash
- This package is a transitional package for upgrading to gnash.
- .
- It can be safely removed when gnash is installed.
-
-Package: mozilla-plugin-gnash
+Package: python-gtk-gnash
+Section: python
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-gtk2
+Provides: ${python:Provides}
+Description: GNU Shockwave Flash (SWF) player - Python bindings
+ GNU Gnash is a free GPL'd SWF player. It runs as a standalone application
+ on either the desktop or embedded devices, or may be used as a plugin
+ for several popular browsers. It supports playing media from a disk or
+ streaming over a network connection.
+ .
+ GNU Gnash is based on GameSWF and supports most SWF v7 features and some
+ SWF v8 and v9. SWF v10 is not supported by GNU Gnash.
+ .
+ Included in the Gnash is an XML based messaging system, as specified in
+ the SWF specification. This lets a SWF animation communicate over a TCP/IP
+ socket, and parse the incoming XML message. This lets an animation be a remote
+ control for other devices or applications.
+ .
+ This package includes the Python bindings for gnash.
+
+Package: gnash-ext-fileio
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, gnash-common (= ${binary:Version})
+Description: GNU Shockwave Flash (SWF) player - Fileio extension
+ GNU Gnash is a free GPL'd SWF player. It runs as a standalone application
+ on either the desktop or embedded devices, or may be used as a plugin
+ for several popular browsers. It supports playing media from a disk or
+ streaming over a network connection.
+ .
+ GNU Gnash is based on GameSWF and supports most SWF v7 features and some
+ SWF v8 and v9. SWF v10 is not supported by GNU Gnash.
+ .
+ Included in the Gnash is an XML based messaging system, as specified in
+ the SWF specification. This lets a SWF animation communicate over a TCP/IP
+ socket, and parse the incoming XML message. This lets an animation be a remote
+ control for other devices or applications.
+ .
+ This extension allows SWF files being played within Gnash to have direct access
+ to the file system. The API is similar to the C library one.
+
+Package: gnash-ext-mysql
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, gnash-common (= ${binary:Version})
+Description: GNU Shockwave Flash (SWF) player - MySQL extension
+ GNU Gnash is a free GPL'd SWF player. It runs as a standalone application
+ on either the desktop or embedded devices, or may be used as a plugin
+ for several popular browsers. It supports playing media from a disk or
+ streaming over a network connection.
+ .
+ GNU Gnash is based on GameSWF and supports most SWF v7 features and some
+ SWF v8 and v9. SWF v10 is not supported by GNU Gnash.
+ .
+ Included in the Gnash is an XML based messaging system, as specified in
+ the SWF specification. This lets a SWF animation communicate over a TCP/IP
+ socket, and parse the incoming XML message. This lets an animation be a remote
+ control for other devices or applications.
+ .
+ This extension allows SWF files being played within Gnash to have direct access
+ to a MySQL database. The API is similar to the standard MySQL one.
+
+Package: gnash-ext-lirc
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, gnash-common (= ${binary:Version})
+Description: GNU Shockwave Flash (SWF) player - LIRC extension
+ GNU Gnash is a free GPL'd SWF player. It runs as a standalone application
+ on either the desktop or embedded devices, or may be used as a plugin
+ for several popular browsers. It supports playing media from a disk or
+ streaming over a network connection.
+ .
