## gnash 0.8.10~git20110618

=== debian/changelog ===
gnash (0.8.10~git20110618-3ubuntu1) oneiric; urgency=low

  * Merge from debian unstable. (LP:# 847552) Remaining changes:
    - Use mozilla-flashplugin as the alternative for now
    - Set alternative priority to 50 so that it matches Adobe Flash's priority
    - Change xulrunner-dev build dep to firefox-dev
    - add libav 0.7 patch
  * Drop the following changes obsoleted by the Debian updates
    - Add build-dep on libspeexdsp-dev and libxv-dev; Fixes FTBFS
    - Remove configure code for libpthread check; Fixes FTBFS w/multiarch paths

 -- Micah Gersten <micahg@ubuntu.com>  Mon, 12 Sep 2011 00:15:04 -0500

gnash (0.8.10~git20110618-3) unstable; urgency=low

  * Remove opengl renderer. 
  * Enable hardening.
  * Add libxv-dev as B-D (Closes: #518520, #620840).

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Fri, 01 Jul 2011 01:25:45 +0200

gnash (0.8.10~git20110618-2) unstable; urgency=low

  * Add multiarch support (02multiarch).
  * Fix cygnal manpage (01cygnalman).
  * lintian:
    + Another hyphen-used-as-minus-sign fix.
    + Fix python-debug-in-wrong-location tag.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Tue, 21 Jun 2011 21:51:19 +0200

gnash (0.8.10~git20110618-1) unstable; urgency=low

  * Git snapshot.
    + Fix dash escaping (Closes: #620197).
    + Fix g/g-tools deps on mysql (Closes: #616028).
  * Bump Standards-Version to 3.9.2 (no changes).
  * Add libspeexdsp-dev as B-D.
  * Remove 01mysqltypo patch.
  * Rename kde4 stuff to qt4.
  * Remove without-included-ltdl config option.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sun, 19 Jun 2011 00:33:15 +0200

gnash (0.8.9-1ubuntu2) oneiric; urgency=low

  * Port to libav 0.7 API.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 04 Sep 2011 21:12:46 -0500
