=== debian/control ===
--- 
+++ 
@@ -2,23 +2,20 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Flash Team <pkg-flash-devel@lists.alioth.debian.org>
-Uploaders: Miriam Ruiz <little_miry@yahoo.es>,
- Alexander Sack <asac@jwsdot.com>,
- Gabriele Giacone <1o5g4r8o@gmail.com>,
- Tim Retout <diocles@debian.org>
+Uploaders: Miriam Ruiz <little_miry@yahoo.es>, Alexander Sack <asac@jwsdot.com>,
+ Gabriele Giacone <1o5g4r8o@gmail.com>, Tim Retout <diocles@debian.org>
 Build-Depends: dpkg-dev (>= 1.13.19), debhelper (>= 7.0.50~7), sng,
- dh-buildinfo, autoconf, automake, libtool, intltool, docbook, docbook2x,
- libltdl-dev, libxmu-dev, dejagnu, autotools-dev, doxygen, xsltproc, docbook-xsl,
+ dh-buildinfo, autoconf, automake, libtool, intltool, libltdl-dev,
+ libxmu-dev, dejagnu, autotools-dev, doxygen, xsltproc, docbook, docbook2x, docbook-xsl,
  libjpeg-dev, libpng12-dev | libpng-dev, libgif-dev, libagg-dev, libpango1.0-dev | pango-dev,
  libcurl4-gnutls-dev | libcurl3-gnutls-dev | libcurl4-openssl-dev | libcurl3-openssl-dev,
  libboost-dev, libboost-thread-dev, libboost-date-time-dev, libboost-program-options-dev,
- libgtk2.0-dev, libatk1.0-dev, python-all-dev, kdelibs5-dev,
- libgtkglext1-dev, python-gtk2-dev, libavcodec-dev, libavformat-dev, libswscale-dev, libspeex-dev,
- libgl1-mesa-dev, libsdl1.2-dev, libqt4-opengl-dev, qt4-qmake, python-support,
+ libgtk2.0-dev, libatk1.0-dev, python-all-dev, python-support, python-gtk2-dev,
+ libavcodec-dev, libavformat-dev, libswscale-dev, libspeex-dev, libspeexdsp-dev, libxv-dev,
  libgstreamer-plugins-base0.10-dev | gstreamer-plugins-base-dev, libgstreamer0.10-dev | gstreamer0.10-dev,
- libmysqlclient-dev, firefox-dev,
- libspeexdsp-dev, libxv-dev
-Standards-Version: 3.9.1
+ libsdl1.2-dev, libqt4-dev, qt4-qmake, kdelibs5-dev, libmysqlclient-dev, firefox-dev,
+ hardening-wrapper
+Standards-Version: 3.9.2
 Section: video
 Homepage: http://www.gnu.org/software/gnash/
 DM-Upload-Allowed: yes
