=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
+export DEB_BUILD_HARDENING=1
 
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -48,15 +49,14 @@
 		--enable-python \
 		--enable-jemalloc \
 		--enable-hwaccel=none \
-		--enable-media='gst,ffmpeg' \
-		--enable-gui='gtk,kde4' \
-		--enable-renderer=all \
+		--enable-media=gst,ffmpeg \
+		--enable-gui=gtk,qt4 \
+		--enable-renderer=agg,cairo \
 		--enable-docbook \
 		--enable-extensions=fileio,lirc,mysql \
 		--with-npapi-plugindir=/usr/lib/gnash \
 		--with-plugins-install=system \
-		--enable-shared=yes \
-		--without-included-ltdl
+		--enable-shared=yes
 
 override_dh_auto_configure:
 	./autogen.sh
@@ -82,7 +82,10 @@
 
 	# lintian: hyphen-used-as-minus-sign
 	for manfile in $(MANPTOFIX); do \
-			sed -i '2,$$s/[:alnum:\\]\?\-/\\\-/g' $$manfile; \
+		sed -i -e '2,$$s/^\-\([^\-]\)/\\\-\1/g' \
+		-e '2,$$s/\-\-/\\\-\\\-/g' \
+		-e '2,$$s/\([\ [:punct:]]\)\-\([[:alnum:]][[:punct:]]\)/\1\\\-\2/g' \
+		$$manfile; \
 	done
 
 	cd $(CURDIR)/debian/overrides/ && for i in *; do \
@@ -97,6 +100,9 @@
 
 override_dh_strip:
 	dh_strip --dbg-package=gnash-dbg
+	# lintian: python-debug-in-wrong-location
+	mv debian/gnash-dbg/usr/lib/debug/usr/lib/pyshared \
+		debian/gnash-dbg/usr/lib/debug/usr/lib/pymodules
 
 override_dh_gencontrol:
 	dh_gencontrol -Nswfdec-gnome
